-- This is a parser for OBJ files. Do not touch unless you know what you're doing.
local NAME=...

local T = love.filesystem.load('strManip.lua')
strManip = T
split = strManip(0).split
starts = strManip(0).starts
ends = strManip(0).ends

local POBJ = { }

function parseObj(objFilePath)
    local startsWithV = {}
    local startsWithF = {}
    local contents, size = love.filesystem.read(objFilePath, all)
    local name = ""
    step1 = {}
    step2 = {}
    step3 = {}

    step1 = split(contents, "\n")
    for i=1,#step1 do
        if (starts(step1[i], "v "))
        then
            table.insert(startsWithV, step1[i])
        end
        if (starts(step1[i], "f"))
        then
            table.insert(startsWithF, step1[i])
        end
        if (starts(step1[i], "o"))
        then
            name = split(step1[i], "%s")[2]
        end
    end
    for i=1,#startsWithV do
        step2 = split(startsWithV[i], "%s")
    end
    for i=1,#startsWithF do
        step3 = split(startsWithF[i], "%s")
    end
    return {step2, step3, name, size}
end
POBJ.parseObj = parseObj
return POBJ